#COMPILE EXE
#DIM ALL
#INCLUDE "wIN32api.inc" 
'#include "debug.inc"

%IDC_CopyFrom     = 101
%IDC_CopyTo       = 102
%IDC_CopyFromTxt  = 103
%IDC_CopyToTxt    = 104
%IDC_CopyFiles    = 105
%IDC_Status       = 110

$ver = "1.02"

FUNCTION PBMAIN()
   LOCAL nStyle, hMain AS LONG
   LOCAL s, sTitle AS STRING
   sTitle = "myCopyFiles - ver " + $ver
   nStyle = %WS_CAPTION OR %WS_POPUP OR %DS_MODALFRAME OR %WS_SYSMENU OR %WS_MINIMIZEBOX
   DIALOG default FONT "Arial", 10
   DIALOG NEW PIXELS, 0, sTitle, , , 450, 200, nStyle TO hMain
   control add button, hMain, %IDC_CopyFrom, "Copy from", 10, 15, 90, 30
   control add button, hMain, %IDC_CopyTo, "Copy to", 10, 60, 90, 30
   control add textbox, hMain, %IDC_CopyFromTxt, "", 110, 19, 330, 20           
   control add textbox, hMain, %IDC_CopyToTxt, "", 110, 64, 330, 20
   control add button, hMain, %IDC_CopyFiles, "Copy Files", 230, 110, 100, 40
   control add button, hMain, %IDCancel, "Cancel", 340, 110, 100, 40
   s = "All files except older ones are copied, including subdirectories using xCopy"
   control add statusbar, hMain, %IDC_Status, s, 0, 0, 0, 0 
   DIALOG SHOW MODAL hMain CALL mainProc
END FUNCTION

CALLBACK FUNCTION mainProc()
   local flags as long
   local sParm, fromTxt, toTxt, copyFrom, copyTo as string
   SELECT CASE CB.MSG                                                       
      CASE %WM_INITDIALOG                                           
'         copyFrom = "C:\PBWin10\myCopyFiles\CopyFrom"
'         control set text cb.hndl, %IDC_CopyFromTxt, copyFrom            
'         copyTo = "C:\PBWin10\myCopyFiles\CopyTo"
'         control set text cb.hndl, %IDC_CopyToTxt, copyTo
      CASE %WM_COMMAND                          
         SELECT CASE CB.CTL                                                  
            flags = %BIF_NONEWFOLDERBUTTON or %BIF_RETURNONLYFSDIRS
            case %IDC_CopyFrom                                                               
               DISPLAY BROWSE cb.hndl, 10, 10, "Copy files from", "C:\", flags TO copyFrom
               control set text cb.hndl, %IDC_CopyFromTxt, copyFrom
            case %IDC_CopyTo
               DISPLAY BROWSE cb.hndl, 10, 10, "Copy files to", "C:\", flags TO copyTo
               control set text cb.hndl, %IDC_CopyToTxt, copyTo
            case %IDC_CopyFiles
               control get text cb.hndl, %IDC_CopyFromTxt to copyFrom
               control get text cb.hndl, %IDC_CopyToTxt to copyTo            
               sParm = copyFrom + " " + copyTo + " /d/q/y/e/i/s/r/c"
               ShellExecute (0, "runas", "copyFiles.bat", bycopy sParm, "", %SW_SHOW)
               'ShellExecute (0, "runas", "xcopy.exe", bycopy sParm, "", %SW_SHOW) 
               'ShellExecute (0, "runas", "xcopy.exe", copyFrom+" "+copyTo+" /d/q/y/e/i", "", %SW_SHOW)
               dialog end cb.hndl
            case %IDCancel
               dialog end cb.hndl
         END SELECT
   END SELECT
END FUNCTION
